<?php

namespace Drupal\ino_footer\Plugin\Block;

use Drupal\ino_complementary_content\InoCustomBlock;

/**
 * Class InoFooter.
 *
 * @Block(
 *   id = "footer_block",
 *   admin_label= @Translation("Custom footer"),
 *   category = @Translation("Custom blocks")
 * )
 *
 * @package Drupal\ino_footer\Plugin\Block
 */
class InoFooter extends InoCustomBlock {

  /**
   * {@inheritdoc}
   */
  protected $siteSettingsType = 'ino_ss_footer';

  /**
   * {@inheritdoc}
   *
   * @throws \Drupal\Component\Plugin\Exception\PluginNotFoundException
   *   Thrown if the entity type doesn't exist.
   * @throws \Drupal\Component\Plugin\Exception\InvalidPluginDefinitionException
   *   Thrown if the storage handler couldn't be loaded.
   */
  public function build() {
    $build = [];

    /** @var \Drupal\site_settings\Entity\SiteSettingEntity $header_settings */
    $footer_settings = $this->loadSiteSettings();

    if (NULL === $footer_settings) {
      return $build;
    }

    $build = [
      '#theme' => 'ino_footer',
      '#paragraphs' => $this->getParagraphs($footer_settings),
      '#cache' => [
        'tags' => $footer_settings->getCacheTags(),
      ],
    ];

    return $build;
  }

}
