(function ($, Drupal, drupalSettings) {
  "use strict";
  Drupal.behaviors.CdTimerInit = {
    attach: function attach(context, settings) {
      $(context).find('.ino-countdown[data-cdtimer-id]').once('cdTimerInit').each(function () {
        var id = $(this).data('cdtimer-id');
        if (settings.inoPtCdTimer.hasOwnProperty(id)) {
          var $cdtimer = $(this).children('div.cdtimer');
          var cdDate = settings.inoPtCdTimer[id].date;
          var timezone = settings.inoPtCdTimer[id].timezone;
          // Moment object (date) with a timezone.
          var mCdDate = moment.tz(cdDate, timezone);
          $(this).countdown(mCdDate.toDate())
          .on('update.countdown', function(event) {
            // TODO: Hide days and above if event.offset.totalDays == 0 ?
            $cdtimer.html(event.strftime(settings.inoPtCdTimer[id].formatter));
          })
          .on('finish.countdown', function(event) {
            $cdtimer.hide();
            $(this).children('div.end-text').html(settings.inoPtCdTimer[id].endText).show();
          });
        }
      });
    }
  };
})(jQuery, Drupal, drupalSettings);
