(function ($) {
  "use strict";

  function dismissDisclaimer(disclaimer) {
    disclaimer.hide();
    $.cookie('disclaimer' + disclaimer.data('pid'), true, 31);
  }

  Drupal.behaviors.inoDisclaimer = {
    attach: function () {
      $('.disclaimer').once('disclaimer-init').each(function () {
        var disclaimer = $(this);
        // Check for cookie indicating that the user has dismissed this disclaimer.
        var disclaimerCookie = $.cookie('disclaimer' + disclaimer.data('pid')) === 'true';
        if (!disclaimerCookie) {
          // The disclaimer is hidden by default.
          disclaimer.show();
          // Set action on main button click.
          $(this).find('.disclaimer-btn').click(function() {
            var popup = disclaimer.find('.disclaimer-confirmation-popup');
            if (popup.length !== 0) {
              popup.show();
              popup.find('.disclaimer-popup-btn').click(function() {
                dismissDisclaimer(disclaimer);
              });
            }
            else {
              dismissDisclaimer(disclaimer);
            }
          });
        }
      });
    }
  };
})(jQuery);
