<?php

namespace Drupal\ino_pt_list\Plugin\Validation\Constraint;

use Drupal\Core\Entity\Plugin\Validation\Constraint\CompositeConstraintBase;

/**
 * Checks that the submitted value is not empty.
 *
 * @Constraint(
 *   id = "InoPtList",
 *   label = @Translation("Content collection bundles", context = "Validation"),
 *   type = "entity:paragraph"
 * )
 */
class InoPtListConstraint extends CompositeConstraintBase {

  /**
   * Message shown when a content type is required.
   *
   * @var string
   */
  public $messageCtRequired = 'You have to specify a valid content type.';

  /**
   * Message shown when a vocabulary is required.
   *
   * @var string
   */
  public $messageVidRequired = 'You have to specify a valid vocabulary.';

  /**
   * Entity fields which should be passed to the validator.
   *
   * @inheritdoc
   */
  public function coversFields() {
    return [
      'field_ph_list_type',
      'field_ph_list_entity_type',
      'field_ph_list_entity_type',
      'field_ph_list_taxonomy_type',
    ];
  }

}
