<?php

namespace Drupal\ino_pt_list\Plugin\Validation\Constraint;

use Symfony\Component\Validator\Constraint;
use Symfony\Component\Validator\ConstraintValidator;

/**
 * Validates the Empty value constraint.
 */
class InoPtListConstraintValidator extends ConstraintValidator {

  /**
   * Valid if at least one custom field has a value (not empty).
   *
   * {@inheritdoc}
   */
  public function validate($paragraph, Constraint $constraint) {
    if ('ino_pt_list' === $paragraph->getType() && 'automatic' == $paragraph->get('field_ph_list_type')->value) {
      $selected_entity_type = $paragraph->get('field_ph_list_entity_type')->value;
      switch ($selected_entity_type) {
        case 'node':
          if ($paragraph->get('field_ph_list_content_type')->isEmpty()) {
            $this->context->buildViolation($constraint->messageCtRequired)
              ->atPath('field_ph_list_content_type')
              ->addViolation();
          }
          break;

        case 'term':
          if ($paragraph->get('field_ph_list_taxonomy_type')->isEmpty()) {
            $this->context->buildViolation($constraint->messageVidRequired)
              ->atPath('field_ph_list_taxonomy_type')
              ->addViolation();
          }
          break;

      }
    }
  }

}
