/**
 * @file
 *Cappuccino paragraph modal JS.
 */

(function ($) {

  "use strict";

  var title, dialogId;

  // Initialize jquery ui dialog for all dialogs on the page.
  $('.paragraph--type--ino-pt-modal').each(function () {
    title = $(this).find('.link-title').text();
    dialogId = $(this).attr('data-dialogId');

    $('#' + dialogId).dialog({
      title: title,
      autoOpen: false,
      draggable: false,
      modal: true,
      open: function () {
        $('body').addClass('fixed');
      },
      close: function () {
        $('body').removeClass('fixed');
      }
    });

    $('.ui-widget-overlay').click(function () {
      $('#' + dialogId).dialog('close');
    });
  });

  // Trigger jquery-ui dialog on click on the link.
  $('.link-title').on('click', function () {
    // Get correspondant dialog id.
    dialogId = $(this).parent().attr('data-dialogId');

    // Open dialog.
    $('#' + dialogId).dialog("open");
  });

})(jQuery);
