/**
 * @file
 * Cappuccino paragrpah social post JS.
 */

(function ($, Drupal, drupalSettings, window) {
  "use strict";
  Drupal.behaviors.inoPtSocialPostToggle = {
    attach: function (context, settings) {
      Drupal.inoPtSocialPost = Drupal.inoPtSocialPost || {};
      var contentLanguage = drupalSettings.path.currentLanguage;
      // We might have multiple social post paragraphs.
      var $paragraphs = $('.paragraph--type--ino-pt-social-post', context).once('inoptsocialpost');
      $paragraphs.each(function (index) {
        var $paragraph = $(this);
        var $currentPost = $paragraph.find('.social-post:first');
        if (typeof $currentPost === 'undefined' || $currentPost.length == 0) {
          return;
        }
        var currentNetwork = $currentPost.data('network');
        var currentLanguage;
        if (typeof currentNetwork === 'undefined') {
          return;
        }
        // Define function here as it needs to change variables in this scope.
        var showSocialPost = function showSocialPost(network, language) {
          var selector = '.social-post';
          var selectorNetwork = "[data-network='" + network + "']";
          var selectorLanguage;
          var $post;
          if (typeof language !== 'undefined') {
            // Do we have a post for this language?
            $post = $paragraph.find(selector + selectorNetwork + "[data-language='" + language + "']").first();
          }
          if (typeof $post === 'undefined' || $post.length == 0) {
            // Do we have a post for the current language?
            $post = $paragraph.find(selector + selectorNetwork + "[data-language='" + currentLanguage + "']").first();
          }
          if (typeof $post === 'undefined' || $post.length == 0) {
            // Select the first post.
            $post = $paragraph.find(selector + selectorNetwork).first();
          }
          if (typeof $post === 'undefined' || $post.length == 0) {
            // We're out of options and something is missing.
            return;
          }
          // Update the variables for the current post.
          $currentPost = $post;
          currentNetwork = network;
          currentLanguage = $currentPost.data('language');
          selectorLanguage = "[data-language='" + currentLanguage + "']";
          // Toggle the post groups (networks).
          $paragraph.find('.social-posts:not(' + selectorNetwork + ')').hide();
          $paragraph.find('.social-posts' + selectorNetwork).show();
          // Toggle the posts.
          $paragraph.find(selector + ':not(' + selectorNetwork + selectorLanguage + ')').hide();
          $paragraph.find(selector + selectorNetwork + selectorLanguage).show();
          // Toggle and update the language selectors.
          $paragraph.find('.block-language:not(' + selectorNetwork + ')').hide();
          var $languageSelector = $paragraph.find('.block-language' + selectorNetwork);
          if ($languageSelector.length < 1) {
            // No language selector for this network.
            return;
          }
          $languageSelector.show();
          // Update active language.
          $languageSelector.find('li.dropbutton-action').addClass('secondary-action');
          $languageSelector.find('a.language-link').removeClass('is-active');
          $languageSelector.find('a.language-link[hreflang="' + currentLanguage + '"]').addClass('is-active')
            .parent().removeClass('secondary-action');
          var $lang_text = $languageSelector.find('a.language-link[hreflang="' + currentLanguage + '"]').text();
          $languageSelector.closest('.block-language').find('.button-language').first().text($lang_text);
        };
        // Show only the first post.
        showSocialPost(currentNetwork, contentLanguage);
        var $networkSelectors = $paragraph.find('.social-post-networks .social-post-button').once('inoptsocialpost');
        if ($networkSelectors.length > 1) {
          $networkSelectors.on('click', function (e) {
            e.preventDefault();
            self.focus();
            // Show post for selected network.
            showSocialPost($(this).data('network'));
          });
        }
        var $langSelectors = $paragraph.find('.block-language a.language-link').once('inoptsocialpost');
        if ($langSelectors.length > 1) {
          $langSelectors.on('click', function (e) {
            e.preventDefault();
            e.stopPropagation();
            // self.focus();
            // Show posts for selected network.
            $(this).closest('.block-language').removeClass('show');
            showSocialPost(currentNetwork, $(this).prop('hreflang'));
          });
        }
      });
    }
  };
})(jQuery, Drupal, drupalSettings, this);
