<?php

namespace Drupal\ino_pt_social_post\EventSubscriber;

use Drupal\paragraphs\Event\ParagraphSummaryAlterEvent;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;

/**
 * Class ModuleEventSubscriber.
 *
 * @package Drupal\ino_pt_social_post
 */
class SocialPostParagraphsSummaryAlterEvent implements EventSubscriberInterface {
  /**
   * {@inheritdoc}
   */
  public static function getSubscribedEvents() {
    $events[ParagraphSummaryAlterEvent::ALTER][] = array('onAlterSummary', 800);
    return $events;
  }

  /**
   * Subscriber Callback for the event.
   * @param ParagraphSummaryAlterEvent $event
   */
  public function onAlterSummary(ParagraphSummaryAlterEvent $event) {
    /** @var \Drupal\paragraphs\Entity\Paragraph $paragraph */
    $paragraph = $event->getParagraph();
    if ('ino_pt_social_post' == $paragraph->bundle()) {
      $summary = '';
      /** @var \Drupal\Core\Field\FieldItemList $social_posts */
      $social_posts = $paragraph->get('field_ph_social_post')->getValue();
      foreach ($social_posts as $social_post) {
        if (isset($social_post['title'])) {
          $summary .= ' ' . $social_post['title'];
        }
      }
      $summary = trim($summary);
      $event->prependTextToSummary($summary);
    }
  }

}
