<?php

namespace Drupal\ino_pt_social_post\Factory;

use Drupal\ino_pt_social_post\Plugin\Field\FieldType\socialPost;
use Drupal\ino_pt_social_post\SocialPostFormatter\SocialPostFormatterInterface;

/**
 * Interface SocialPostFormatterFactoryInterface.
 *
 * @package Drupal\ino_pt_social_post\Factory
 */
interface SocialPostFormatterFactoryInterface {

  /**
   * Factory method to decorate queries with filters.
   *
   * @param \Drupal\ino_pt_social_post\Plugin\Field\FieldType\socialPost $item
   *   The field item.
   * @param string $langcode
   *   The language code.
   *
   * @return \Drupal\ino_pt_social_post\SocialPostFormatter\SocialPostFormatterInterface
   *   A new filter decorator class.
   */
  public static function createInstance(
    socialPost $item,
    string $langcode
  ): SocialPostFormatterInterface;

}
