<?php

namespace Drupal\ino_pt_social_post\Plugin\Validation\Constraint;

use Drupal\Core\Entity\Plugin\Validation\Constraint\CompositeConstraintBase;

/**
 * Checks that the submitted value has no duplicates.
 *
 * @Constraint(
 *   id = "InoPtSocialPost",
 *   label = @Translation("Ready made Social Post bundles", context = "Validation"),
 *   type = "entity:paragraph"
 * )
 */
class InoPtSocialPostConstraint extends CompositeConstraintBase {

  /**
   * Message shown when a content type is required.
   *
   * @var string
   */
  public $messageDuplicate = 'Duplicate network and language combination.';

  /**
   * Entity fields which should be passed to the validator.
   *
   * @inheritdoc
   */
  public function coversFields() {
    return [
      'field_ph_social_post',
    ];
  }

}
