<?php

namespace Drupal\ino_pt_social_post\Plugin\Validation\Constraint;

use Symfony\Component\Validator\Constraint;
use Symfony\Component\Validator\ConstraintValidator;

/**
 * Validates the constraint.
 */
class InoPtSocialPostConstraintValidator extends ConstraintValidator {

  /**
   * Valid if no duplicates.
   *
   * {@inheritdoc}
   */
  public function validate($paragraph, Constraint $constraint) {
    if ('ino_pt_social_post' === $paragraph->getType()) {
      $posts = $paragraph->get('field_ph_social_post');
      $post_network_languages = [];
      /** @var \Drupal\ino_pt_social_post\Plugin\Field\FieldType\socialPost $post */
      foreach ($posts as $post) {
        $social_network = $post->getValue()['value'];
        $langcode = $post->getValue()['language'];
        if (isset($post_network_languages[$social_network][$langcode])) {
          $this->context->buildViolation($constraint->messageDuplicate)
            ->atPath('field_ph_social_post')
            ->addViolation();
          break;
        }
        $post_network_languages[$social_network][$langcode] = $langcode;
      }
    }
  }

}
