<?php

namespace Drupal\ino_pt_social_post\SocialPostFormatter;

/**
 * Interface SocialPostFormatterInterface.
 *
 * @package Drupal\ino_pt_social_post\SocialPostFormatter
 */
interface SocialPostFormatterInterface {

  /**
   * Get language code.
   *
   * @return string
   *   Language code.
   */
  public function getLanguage(): string;

  /**
   * Get social network name.
   *
   * @return string
   *   Social network name.
   */
  public function getNetworkName(): string;

  /**
   * Get social post content.
   *
   * @return string
   *   Social post content field value.
   */
  public function getContent(): string;

  /**
   * Get post render array.
   *
   * @return array
   *   Render array.
   */
  public function getPost(): array;

}
