<?php

namespace Drupal\ino_pt_timelineitem\Plugin\Validation\Constraint;

use Drupal\Core\Entity\Plugin\Validation\Constraint\CompositeConstraintBase;

/**
 * Checks that the submitted value is not empty.
 *
 * @Constraint(
 *   id = "InoEmptyTimelineItem",
 *   label = @Translation("Check empty timeline item", context = "Validation"),
 *   type = "entity:paragraph"
 * )
 */
class InoEmptyTimelineitem extends CompositeConstraintBase {

  /**
   * The message that will be shown if the value is empty.
   *
   * @var string
   */
  public $empty = 'There should be at least one field with a value';

  /**
   * Entity fields which should be passed to the validator.
   *
   * @inheritdoc
   */
  public function coversFields() {
    return ['field_title'];
  }

}
