/**
 * @file
 * JS for the Inovae D8mo sub-theme: menu quicklinks.
 */
(function ($, Drupal) {

  Drupal.behaviors.SubMenu = {
    attach: function(context, settings) {
      var blockLeftSubMenu = $('.blockLeftSubMenu');
      // Open the submenu.
      $('.blockLeftMenu .menu-level-0 > .menu-item > span').once('submenu').each(function() {
        $(this).on("click", function(e) {
          var parent = $(this).parent();
          var attr = parent.attr('data-id');

          if (typeof attr !== typeof undefined && attr !== false) {
            e.preventDefault();
            // If the target is already opened then we close the submenu.
            if (parent.hasClass('hover')) {
              parent.removeClass('hover');
              blockLeftSubMenu.removeClass('visible');
              blockLeftSubMenu.find('.submenu-item[data-parent-id="' + attr + '"]').removeClass('visible');
              $('.blockLeftSubMenu .region').scrollTop(0);
            }
            // If the target is not opened then we open the submenu.
            else {
              $('.blockLeftSubMenu .region').scrollTop(0);
              $('.blockLeftMenu .menu-item').removeClass('hover');
              $('.blockLeftSubMenu .submenu-item').removeClass('visible');
              parent.addClass('hover');
              blockLeftSubMenu.addClass('visible');
              blockLeftSubMenu.find('.submenu-item[data-parent-id="' + attr + '"]').addClass('visible');
              // Create carousel for quicklinks.
              $('.slickQuicklinks').each(function() {
                $(this).addClass('slick').slick({
                  dots: true,
                  arrows: false,
                  infinite: false
                });
              });
            }
          }
        });
      });

      //Close the submenu by clicking elsewhere
      /*$('body').once('submenuclose').on('click', ':not(.submenu-item *)', function (e) {
        console.log(e.target);
        console.log('pass');
        if (blockLeftSubMenu.hasClass('visible') && !$(e.target).is('span')) {
          $('.blockLeftMenu .menu-item').removeClass('hover');
          blockLeftSubMenu.removeClass('visible');
          $('.blockLeftSubMenu .submenu-item').removeClass('visible');
          $('.blockLeftSubMenu .region').scrollTop(0);
        }12

      });*/

      $(document).on('mousedown', '.blockLeftMenu, .blockLeftSubMenu.visible', function(e) {
        var target = $(e.target);
        if (blockLeftSubMenu.hasClass('visible') && !target.is('span') && !target.is('.submenu-item *')) {
          $('.blockLeftMenu .menu-item > a').removeClass('hover');
          blockLeftSubMenu.removeClass('visible');
          $('.blockLeftSubMenu .submenu-item').removeClass('visible');
          $('.blockLeftSubMenu .region').scrollTop(0);
        }
      });
    }
  };

})(window.jQuery, window.Drupal);
