/**
 * @file
 * JS for the Cappuccino base theme.
 */
(function ($, Drupal) {

  $(document).ready(function() {

    //Prototype countDecimals
    String.prototype.countDecimals = function () {
      var split = this.split(".");
      return '1' in split ? split[1].length : 0;
    }

    //Animate
    function animate() {
      //pie
      $('.ino-circle-keym-canvas').each(function(i) {
        if ($(this).visible()) {
          $(this).addClass('in-viewport');
        };
      });
      $('.ino-circle-keym-canvas.in-viewport.ready').each(function(i) {
        $(this).removeClass('ready');
        var canvas  = this;
        var context = canvas.getContext("2d");
        var vw = canvas.width  = 180;
        var vh = canvas.height = 180;
        var cx = vw / 2;
        var cy = vh / 2;
        var radius = 80;
        var length = Math.PI * 2 * radius;
        var dash = { offset: length };
        var data = $(this).parent().attr('class').slice(5, 7);
        var result = data * Math.PI * 2 / 100;
        context.lineWidth = 20;

        TweenMax.to(dash, 1.5, {
          offset: 0,
          onUpdate: drawPath, 
          repeat: 0,
          repeatDelay: 0.5,
          yoyo: true
        });
        function drawPath() {
          context.clearRect(0, 0, vw, vh);
          context.setLineDash([length - dash.offset, dash.offset]);   

          //draw circle 1
          context.beginPath();
          context.arc(90, 90, radius, -Math.PI/2, Math.PI * 2);
          context.strokeStyle = "#F2F2F2";  
          context.stroke();
          
          //draw circle 2
          context.save();
          context.translate(90, 90);
          context.rotate(-Math.PI / 2);
          context.beginPath();
          context.strokeStyle = "#1eb0fc";
          context.arc(0, 0, radius, 0, result);
          context.stroke();  
          context.restore();
        }
        i++
      });

      //basic
      $('.layout--ino-pt-keym-basic .ino-pt-keym-amount').each(function(i) {
        var i = 0;
        var number = $(this).text().replace(/,/g, '').replace(",", ".");
        var decimalNumber = number.countDecimals();
        var options = {
          duration: "1400",
          delimiter: " ",
          rounding: decimalNumber,
          fromValue: "0",
          toValue: parseFloat(number),
          easing: "swing"
        };
        if ($(this).visible()) {
          $(this).addClass('ino-pt-keym-amount-in-viewport');
        };
        if (
          $(this).hasClass('ino-pt-keym-amount-in-viewport') &&
          !$(this).hasClass('stopanimation')
        ){
          $(this).numerator(options);
          $(this).addClass('stopanimation');
        }
        i++
      });  

      //flip
      $('.layout--ino-pt-keym-flip .ino-pt-keym-amount').each(function(i) {
        var i = 0;
        var number = Math.round($(this).text().replace(/,/g, '').replace(",", "."));
        if ($(this).visible()) {
          $(this).addClass('ino-pt-keym-amount-in-viewport');
        };
        if (
          $(this).hasClass('ino-pt-keym-amount-in-viewport') &&
          !$(this).hasClass('stopanimation')
        ){
          od = new Odometer({
            el: this,
            value: 0,
            format: '',
            theme: 'minimal'
          });
          od.update(number);
          $(this).addClass('stopanimation');
        }
        i++
      });
    }

    //result
    animate();
    document.addEventListener("touchmove", animate, false);
    document.addEventListener("scroll", animate, false);

  });

})(jQuery);
