/**
 * @file
 * JS for the Inovae D8mo sub-theme: sticky share.
 */
(function ($, Drupal) {

  Drupal.behaviors.StickyShare = {
    attach: function(context, settings) {
      var share = $('.share-wrapper');
      var topShare = share.offset().top;
      var topStartContent = 50;
      if ($('body').hasClass('toolbar-fixed')) {
        topStartContent = 89;
        if ($('body').hasClass('toolbar-tray-open')) {
          topStartContent = 128;
        }
      }
      
      $(window).scroll(function(e) {
        var scroll = $(this).scrollTop();
        if (scroll >= topShare - topStartContent) {
          share.addClass('fixed').css('top', topStartContent);
        }
        else {
          share.removeClass('fixed').css({ top: '0' });
        }
      });
    }
  };

})(window.jQuery, window.Drupal);
